XSL Transformer
curl --request POST \
--url https://api.iotools.cloud/v1/tool/xsl-transformer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"xmlSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<catalog>\n <book id=\"bk101\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\n <book id=\"bk102\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\n <book id=\"bk103\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\n</catalog>",
"xslSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<xsl:stylesheet version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\">\n <xsl:output method=\"html\"/>\n <xsl:template match=\"/\">\n <ul>\n <xsl:for-each select=\"catalog/book\">\n <xsl:sort select=\"price\" data-type=\"number\"/>\n <li><xsl:value-of select=\"title\"/> — $<xsl:value-of select=\"price\"/></li>\n </xsl:for-each>\n </ul>\n </xsl:template>\n</xsl:stylesheet>"
}
EOFimport requests
url = "https://api.iotools.cloud/v1/tool/xsl-transformer"
payload = {
"xmlSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<catalog>
<book id=\"bk101\"><title>XML Developer's Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>
<book id=\"bk102\"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>
<book id=\"bk103\"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>
</catalog>",
"xslSource": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<xsl:stylesheet version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\">
<xsl:output method=\"html\"/>
<xsl:template match=\"/\">
<ul>
<xsl:for-each select=\"catalog/book\">
<xsl:sort select=\"price\" data-type=\"number\"/>
<li><xsl:value-of select=\"title\"/> — $<xsl:value-of select=\"price\"/></li>
</xsl:for-each>
</ul>
</xsl:template>
</xsl:stylesheet>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
xmlSource: '<?xml version="1.0" encoding="UTF-8"?>\n<catalog>\n <book id="bk101"><title>XML Developer\'s Guide</title><author>Gambardella, Matthew</author><price>44.95</price></book>\n <book id="bk102"><title>Midnight Rain</title><author>Ralls, Kim</author><price>5.95</price></book>\n <book id="bk103"><title>Maeve Ascendant</title><author>Corets, Eva</author><price>12.50</price></book>\n</catalog>',
xslSource: '<?xml version="1.0" encoding="UTF-8"?>\n<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">\n <xsl:output method="html"/>\n <xsl:template match="/">\n <ul>\n <xsl:for-each select="catalog/book">\n <xsl:sort select="price" data-type="number"/>\n <li><xsl:value-of select="title"/> — $<xsl:value-of select="price"/></li>\n </xsl:for-each>\n </ul>\n </xsl:template>\n</xsl:stylesheet>'
})
};
fetch('https://api.iotools.cloud/v1/tool/xsl-transformer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": "xsl-transformer",
"tool_version": "1.0.2",
"outputs": {
"output": "<ul><li>Midnight Rain — $5.95</li><li>Maeve Ascendant — $12.50</li><li>XML Developer's Guide — $44.95</li></ul>"
},
"credits_used": 5,
"credits_remaining": null
}{
"type": "https://docs.iotools.cloud/errors/validation_error",
"title": "Invalid request",
"status": 400,
"code": "validation_error",
"detail": "One or more inputs are invalid — see `fields`.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"fields": {
"inputString": "Required"
}
}{
"type": "https://docs.iotools.cloud/errors/invalid_api_key",
"title": "Invalid API key",
"status": 401,
"code": "invalid_api_key",
"detail": "Provide 'Authorization: Bearer <key>'.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://docs.iotools.cloud/errors/insufficient_credits",
"title": "Insufficient credits",
"status": 402,
"code": "insufficient_credits",
"detail": "This call costs 1 credit and 0 remain in this month's allowance.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"credits_used": 0,
"credits_remaining": 0
}{
"type": "https://docs.iotools.cloud/errors/tool_not_allowed",
"title": "Tool not available over the API",
"status": 403,
"code": "tool_not_allowed",
"detail": "\"Background Remover\" is available on iotools.cloud but has no API endpoint.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://docs.iotools.cloud/errors/tool_not_found",
"title": "Tool not found",
"status": 404,
"code": "tool_not_found",
"detail": "No tool with that slug. See GET /v1/tools/list.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://docs.iotools.cloud/errors/payload_too_large",
"title": "Payload too large",
"status": 413,
"code": "payload_too_large",
"detail": "Request body exceeds this tool's size limit.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://docs.iotools.cloud/errors/unprocessable_input",
"title": "Input cannot be processed",
"status": 422,
"code": "unprocessable_input",
"detail": "This video has no captions or subtitles, so there is no transcript to extract.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"credits_used": 0
}{
"type": "https://docs.iotools.cloud/errors/rate_limited",
"title": "Rate limit exceeded",
"status": 429,
"code": "rate_limited",
"detail": "Too many requests. Retry in 30s.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"retry_after": 30
}{
"type": "https://docs.iotools.cloud/errors/processing_error",
"title": "Tool failed to run",
"status": 500,
"code": "processing_error",
"detail": "The tool failed to run. Please try again.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"credits_used": 0
}{
"type": "https://docs.iotools.cloud/errors/tool_disabled",
"title": "Tool temporarily disabled",
"status": 503,
"code": "tool_disabled",
"detail": "This tool is temporarily unavailable. Try again shortly.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}Formatters
XSL Transformer API
Apply an XSLT 1.0 stylesheet to an XML document and get the transformed output (XML, HTML or text). Runs in your browser; supports templates, for-each, sort, choose and more.
POST
/
v1
/
tool
/
xsl-transformer
XSL Transformer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?